Package org.eclipse.cdt.utils.som.parser

# Class SomSymbol

java.lang.Object
org.eclipse.cdt.utils.Symbol
org.eclipse.cdt.utils.som.parser.SomSymbol

All Implemented Interfaces:
  `Comparable<Object>`, `IBinaryParser.ISymbol`

public class SomSymbol extends Symbol
SOM symbol specialization

## Field Summary

### Fields inherited from class org.eclipse.cdt.utils.Symbol

`binary`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.ISymbol

`FUNCTION, VARIABLE`

## Constructor Summary

Constructors
Constructor
Description
`SomSymbol(BinaryObjectAdapter binary, String name, int type, IAddress addr, long size)`
`SomSymbol(BinaryObjectAdapter binary, String name, int type, IAddress addr, long size, org.eclipse.core.runtime.IPath sourceFile, int startLine, int endLine)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLineNumber(long offset)`
Line number corresponding to the address offset.

### Methods inherited from class org.eclipse.cdt.utils.Symbol

`compareTo, getAddress, getBinaryObject, getEndLine, getFilename, getName, getSize, getStartLine, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SomSymbol

public SomSymbol(BinaryObjectAdapter binary, String name, int type, IAddress addr, long size, org.eclipse.core.runtime.IPath sourceFile, int startLine, int endLine)

Parameters:
  `binary` -
  `name` -
  `type` -
  `addr` -
  `size` -
  `sourceFile` -
  `startLine` -
  `endLine` -

### SomSymbol

public SomSymbol(BinaryObjectAdapter binary, String name, int type, IAddress addr, long size)

Parameters:
  `binary` -
  `name` -
  `type` -
  `addr` -
  `size` -

## Method Details

### getLineNumber

public int getLineNumber(long offset)
Description copied from interface: `IBinaryParser.ISymbol`
Line number corresponding to the address offset.

Specified by:
  `getLineNumber` in interface `IBinaryParser.ISymbol`
Overrides:
  `getLineNumber` in class `Symbol`